

CREATE TABLE [MIG_MBC_RULES](
	[moid] [varchar](30) NOT NULL,
	[rule_id] [int] NOT NULL,-- rule is a keyword cannot be used as column name, so used rule_id
	[dsca] [varchar](60) NULL,
	[actn] [int] NOT NULL,
	[objt] [int] NOT NULL,
	[optr] [int] NOT NULL,
	[quan] [float] NULL,
	[chld] [varchar](40) NULL,
	[crev] [varchar](6) NULL,
	[rplc] [varchar](40) NULL,
	[rrev] [varchar](6) NULL,
	[updt] [datetime2](7) NULL,
	[vldt] [int] NULL,
	[vlcm] [int] NULL,
	[cmmt] [varchar](255) NULL,
	[excn] [int] NULL,
	[orno] [int] NULL,
	[rfdg] [int] NULL,
	[lcal] [int] NULL,
	[dmrd] [varchar](32) NULL,
	[dmpo] [varchar](32) NULL,
 CONSTRAINT [PK_MIG_MBC_RULES_IDX] PRIMARY KEY CLUSTERED 
(
	[moid] ASC,
	[rule_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]



